Run Amazon Product
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-amazon-product \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"asin": "B004YAVF8I",
"domain": "amazon.com"
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-amazon-product"
payload = {
"asin": "B004YAVF8I",
"domain": "amazon.com"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({asin: 'B004YAVF8I', domain: 'amazon.com'})
};
fetch('https://api.neuralverge.ai/functions/v1/run-amazon-product', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "amazon_product",
"asin": "B087Z733CM",
"domain": "amazon.com",
"human": "# Amazon product\n\n- **ASIN:** B087Z733CM\n- **Domain:** amazon.com\n- **Proxy traffic:** 810.8 KB\n- **Title:** Logitech M705 Marathon Full Size 2.4 GHz Wireless Mouse - Black\n- **Price:** $39.99\n- **Rating:** 4.5 (12322 reviews)\n- **Availability:** In Stock",
"machine": {
"product": {
"id": "B087Z733CM",
"title": "Logitech M705 Marathon Full Size 2.4 GHz Wireless Mouse - Black",
"brand": null,
"byline": null,
"price": 39.99,
"currency": "$",
"list_price": 39.99,
"image": "https://m.media-amazon.com/images/I/51TkFs1HUqL.jpg",
"images": [
"https://m.media-amazon.com/images/I/31Jy-QDNemL.jpg",
"https://m.media-amazon.com/images/I/41hZ0pdafxL.jpg",
"https://m.media-amazon.com/images/I/41nuzD1VwtL.jpg"
],
"rating": 4.5,
"review_count": 12322,
"availability": "In Stock",
"is_in_stock": true,
"features": [
"Click more. Scroll more. Do more. Logitech Marathon Mouse M705 uses far less power than comparable wireless mice from other companies. That means you can go up to three full years between battery changes.*",
"Hyper-fast scrolling lets you fly through long documents and Web pages with a single spin of a nearly frictionless metal scroll wheel.",
"The sculpted, right-hand shape guides your hand to a naturally comfortable position and places customizable control within your reach. Two thumb buttons lets you move quickly between Web pages.**"
],
"details": {
"Connectivity Technology": "Bluetooth, USB",
"Additional Features": "Hyper Fast Scrolling, Lightweight, Programmable Buttons, Wireless",
"Movement Detection": "Laser",
"Button Quantity": "5",
"Hand Orientation": "Right",
"Compatible Devices": "Personal Computer",
"Operating System": "Windows 10, 11 or later, macOS 10.5 or later",
"Battery Average Life": "3 years",
"Number of Batteries": "2 AA batteries required. (included)",
"Hardware Platform": "Linux, Mac, PC",
"Power Source": "Battery Powered",
"Mouse Maximum Sensitivity": "1000 dots_per_inch",
"Minimum Required Operating System Version": "Windows 10",
"Range": "33.0 feet",
"Color": "Black",
"Style Name": "M705",
"Pattern": "Mouse",
"Theme": "Computer Accessories",
"Brand": "Logitech",
"Model Name": "M705 Marathon",
"Antenna Location": "Office",
"Model Number": "910-006033",
"Included Components": "2 AA batteries",
"Manufacturer": "Logitech",
"UPC": "097855162151",
"Item Type Name": "Wireless Mouse",
"Mfr Part Number": "910-006033",
"Warranty Description": "Manufacturer’s warranty can be requested from customer service.",
"Best Sellers Rank": "#9 in Computer Mice",
"ASIN": "B087Z733CM",
"Customer Reviews": "4.5 out of 5 stars (12,322 ratings)",
"Item Weight": "4.76 ounces",
"Item Dimensions L x W": "4.29\"L x 2.8\"W",
"Unit Count": "1 Count",
"Enclosure Material": "Plastic",
"Finish": "Glossy or Matte",
"Special Feature": "Hyper Fast Scrolling, Lightweight, Programmable Buttons, Wireless",
"Movement Detection Technology": "Laser"
},
"breadcrumbs": [
"Electronics",
"Computers & Accessories",
"Computer Accessories & Peripherals"
],
"category": "Mice",
"seller": {
"id": null,
"name": "Amazon Resale"
},
"ships_from": "Amazon.com",
"sold_by": "Amazon.com",
"variations": [
{
"asin": "B087Z733CM",
"name": null
},
{
"asin": "B087Z6LSHW",
"name": null
}
]
},
"proxy_traffic_bytes": 830276
},
"total_points": 5
}E-commerce & Marketplaces
Run Amazon Product
Fetches full Amazon product details by ASIN: title, brand, price, images, rating, features, and seller. Flat 5 points per successful lookup.
POST
/
functions
/
v1
/
run-amazon-product
Run Amazon Product
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Available options:
amazon.com, amazon.co.uk, amazon.de, amazon.fr, amazon.it, amazon.es, amazon.ca, amazon.co.jp, amazon.com.mx, amazon.com.br, amazon.in, amazon.com.au, amazon.nl, amazon.se, amazon.pl, amazon.com.tr, amazon.ae, amazon.sa, amazon.sg Response
Run completed.